<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\DI\Attributes;

use Attribute;

#[Attribute(Attribute::TARGET_PARAMETER | Attribute::TARGET_PROPERTY)]
final class Named
{
    public function __construct(public readonly string $name) {}
}
